# OpenLayers.Control.MouseToolbar

This class is DEPRECATED in 2.4 and will be removed by 3.0. If you need this functionality, use OpenLayers.Control.NavToolbar instead!!!

Summary

OpenLayers.Control.MouseToolbar | This class is DEPRECATED in 2.4 and will be removed by 3.0.
Properties |
mode |
buttons |
direction | {String} ‘vertical’ or ‘horizontal’
buttonClicked | {String}
Constructor |
OpenLayers.Control.MouseToolbar |
Functions |
destroy |
draw |
_addButton |
buttonDown |
buttonUp |
defaultDblClick |
defaultMouseDown |
switchModeTo |
leaveMode |
defaultMouseMove |
defaultMouseUp |
defaultMouseOut |
defaultClick |

### Properties

### mode

### buttons

### direction

{String} ‘vertical’ or ‘horizontal’

### buttonClicked

{String}

### Constructor

### OpenLayers.Control.MouseToolbar

#### Parameters

position | {OpenLayers.Pixel}
direction | {String}

### Functions

### destroy

> destroy: function()

### draw

> draw: function()

### _addButton

> _addButton:function( | id,
> | img,
> | activeImg,
> | xy,
> | sz,
> | title | )

### buttonDown

> buttonDown: function( | evt | )

#### Parameters

evt | {Event}

### buttonUp

> buttonUp: function( | evt | )

#### Parameters

evt | {Event}

### defaultDblClick

> defaultDblClick: function ( | evt | )

#### Parameters

evt | {Event}

### defaultMouseDown

> defaultMouseDown: function ( | evt | )

#### Parameters

evt | {Event}

### switchModeTo

> switchModeTo: function( | mode | )

#### Parameters

mode | {String}

### leaveMode

> leaveMode: function()

### defaultMouseMove

> defaultMouseMove: function ( | evt | )

#### Parameters

evt | {Event}

### defaultMouseUp

> defaultMouseUp: function ( | evt | )

#### Parameters

evt | {Event}

### defaultMouseOut

> defaultMouseOut: function ( | evt | )

#### Parameters

evt | {Event}

### defaultClick

> defaultClick: function ( | evt | )

#### Parameters

evt | {Event}

> destroy: function()

> draw: function()

> _addButton:function( | id,
> | img,
> | activeImg,
> | xy,
> | sz,
> | title | )

> buttonDown: function( | evt | )

> buttonUp: function( | evt | )

> defaultDblClick: function ( | evt | )

> defaultMouseDown: function ( | evt | )

> switchModeTo: function( | mode | )

> leaveMode: function()

> defaultMouseMove: function ( | evt | )

> defaultMouseUp: function ( | evt | )

> defaultMouseOut: function ( | evt | )

> defaultClick: function ( | evt | )

This Toolbar is an alternative to the Navigation control that displays the state of the control, and provides a UI for changing state to use the zoomBox via a Panel control.
This class represents a screen coordinate, in x and y coordinates
Close